<?php
namespace FiloBlu\Esb\Api\Data;

use Magento\Customer\Api\Data\CustomerInterface;

/**
 * Interface CustomerProducerInterface
 * @package FiloBlu\Esb\Api\Data
 */
interface CustomerProducerInterface extends ProducerInterface
{
    /**
     * @param CustomerInterface|null $customer
     * @return MessageInterface
     */
    public function produce(CustomerInterface $customer = null) : MessageInterface;
}
